<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class QuotChallan extends Model
{
    protected $table='quot_challan';

    public function tnc(){
        return $this->belongsTo(TermsAndConditions::class,'tnc_id')->withTrashed();
    }

    public function transpoter(){
        return $this->belongsTo(TranspoterDetails::class,'transporter_details_id');
    }
    public function quotation(){
        return $this->belongsTo(Quotation::class,'quotation_id')->withTrashed();
    }

    public function logistic_details(){
        return $this->belongsTo(LogisticDetails::class,'logistic_details_id');
    }
}
